<?php 
require_once "../modelos/Personasales.php";

$personasales  =   new Personasales();

$idpersonasales     		=   isset($_POST["idpersonasales"])? limpiarCadena($_POST["idpersonasales"]):"";
$tipo_persona   		=   isset($_POST["tipo_persona"])? limpiarCadena($_POST["tipo_persona"]):"";
$nombre         		=   isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$tipo_documento 		=   isset($_POST["tipo_documento"])? limpiarCadena($_POST["tipo_documento"]):"";
$num_documento  		=   isset($_POST["num_documento"])? limpiarCadena($_POST["num_documento"]):"";
$direccion      		=   isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";
$telefono       		=   isset($_POST["telefono"])? limpiarCadena($_POST["telefono"]):"";
$email          		=   isset($_POST["email"])? limpiarCadena($_POST["email"]):"";
$vehiculo       		=   isset($_POST["vehiculo"])? limpiarCadena($_POST["vehiculo"]):"";
$placa          		=   isset($_POST["placa"])? limpiarCadena($_POST["placa"]):"";
$idzona         		=   isset($_POST["idzona"])? limpiarCadena($_POST["idzona"]):"";
$comisionventa1			=   isset($_POST["comisionventa1"])? limpiarCadena($_POST["comisionventa1"]):"";
$comisionventa2			=   isset($_POST["comisionventa2"])? limpiarCadena($_POST["comisionventa2"]):"";
$comisionventa3			=   isset($_POST["comisionventa3"])? limpiarCadena($_POST["comisionventa3"]):"";
$comisionventa4			=   isset($_POST["comisionventa4"])? limpiarCadena($_POST["comisionventa4"]):"";
$comisionventa5			=   isset($_POST["comisionventa5"])? limpiarCadena($_POST["comisionventa5"]):"";
$comisioncobranza1	=   isset($_POST["comisioncobranza1"])? limpiarCadena($_POST["comisioncobranza1"]):"";
$comisioncobranza2	=   isset($_POST["comisioncobranza2"])? limpiarCadena($_POST["comisioncobranza2"]):"";
$comisioncobranza3	=   isset($_POST["comisioncobranza3"])? limpiarCadena($_POST["comisioncobranza3"]):"";
$comisioncobranza4	=   isset($_POST["comisioncobranza4"])? limpiarCadena($_POST["comisioncobranza4"]):"";
$comisioncobranza5	=   isset($_POST["comisioncobranza5"])? limpiarCadena($_POST["comisioncobranza5"]):"";

switch ($_GET["op"]) {
    case 'guardaryeditar':
        if (empty($idpersonasales)) {
            $rspta=$personasales->insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$idzona,$comisionventa1,$comisionventa2,$comisionventa3,$comisionventa4,$comisionventa5,$comisioncobranza1,$comisioncobranza2,$comisioncobranza3,$comisioncobranza4,$comisioncobranza5);
            echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
        }else{
            $rspta=$personasales->editar($idpersonasales,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$idzona,$comisionventa1,$comisionventa2,$comisionventa3,$comisionventa4,$comisionventa5,$comisioncobranza1,$comisioncobranza2,$comisioncobranza3,$comisioncobranza4,$comisioncobranza5);
            echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
        }
	break;
	

	case 'selectpersonasales':
		$rspta 			= $personasales->listarv();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un persona';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersonasales.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectGerente':
		$rspta 			= $personasales->listarg();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Gerente';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersonasales.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'eliminar':
		$rspta=$personasales->eliminar($idpersonasales);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;

	case 'desactivar':
		$rspta=$personasales->desactivar($idpersonasales);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$personasales->activar($idpersonasales);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$personasales->mostrar($idpersonasales);
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$personasales->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$personasales->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta  =$personasales->listar();
		$data   =Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
				"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
				onclick="mostrar('.$reg->idpersonasales.')"><i class="fa fa-pencil"></i></button>'.' '.'
				<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idpersonasales.')">
				<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
				onclick="mostrar('.$reg->idpersonasales.')"><i class="fa fa-pencil"></i></button>'.' '.'
				<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idpersonasales.')">
				<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento.'-'.$reg->num_documento,
            "3"=>$reg->zona,
            "4"=>$reg->telefono,
            "5"=>$reg->email,
			"6"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	
	case 'listarpersona':
		$rspta  =$personasales->listarcomision();
		$data   =Array();
		$cont	=0; 
		$this1	='this';
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<input type="checkbox" style="text-align:right;width:20px" name="idvendedorp[]" id="idvendedorp[]" onchange="change_checkboxv1('.$cont.','.$this1.')" value="'.$cont.'" checked>
						<input class="form-control" type="hidden" name="idvendedor11[]" id="idvendedor11[]" value="'.$reg->idpersonasales.'">
						<input class="form-control" type="hidden" name="vendedorvalido1[]" id="vendedorvalido1[]" value="no">
						<input class="form-control" type="hidden" name="comisionventa11[]" id="comisionventa11[]" value="'.$reg->comisionventa1.'">
						<input class="form-control" type="hidden" name="comisionventa21[]" id="comisionventa21[]" value="'.$reg->comisionventa2.'">
						<input class="form-control" type="hidden" name="comisionventa31[]" id="comisionventa31[]" value="'.$reg->comisionventa3.'">
						<input class="form-control" type="hidden" name="comisionventa41[]" id="comisionventa41[]" value="'.$reg->comisionventa4.'">
						<input class="form-control" type="hidden" name="comisionventa51[]" id="comisionventa51[]" value="'.$reg->comisionventa5.'">
						<input class="form-control" type="hidden" name="comisioncobranza11[]" id="comisioncobranza11[]" value="'.$reg->comisioncobranza1.'">
						<input class="form-control" type="hidden" name="comisioncobranza21[]" id="comisioncobranza21[]" value="'.$reg->comisioncobranza2.'">
						<input class="form-control" type="hidden" name="comisioncobranza31[]" id="comisioncobranza31[]" value="'.$reg->comisioncobranza3.'">
						<input class="form-control" type="hidden" name="comisioncobranza41[]" id="comisioncobranza41[]" value="'.$reg->comisioncobranza4.'">
						<input class="form-control" type="hidden" name="comisioncobranza51[]" id="comisioncobranza51[]" value="'.$reg->comisioncobranza5.'">',
        		"1"=>$reg->nombre,
            "2"=>'<input class="form-control" type="text" style="text-align:right;width:80px" name="venta1[]" id="venta1[]" step="0.01" value="0" >',
						"3"=>'<input class="form-control" type="text" style="text-align:right;width:80px" name="cobranza1[]" id="cobranza1[]" step="0.01" value="0" >',
            "4"=>'<input class="form-control" type="text" style="text-align:right;width:90px" name="totalcomision1[]" id="totalcomision1[]" step="0.01" value="0,00" readonly>'
             );
			$cont+=1;	
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>